function [houseList] = createHouses(n, priceVec, zoneVec, categoryM,housingSize)
% house category (house,duplex,semi-detach,apartment), initial price, zone
houseList = zeros(n,4);
for i=1:n
    house = [0,0,0,0];
    r = rand(1);
    probZone = 0;
    for j=1:15
        probZone = probZone + zoneVec(j);
        if r <= probZone
            house(3) = j;
            break
        end
    end
    probType = 0;
    r = rand(1);
    for k=1:4
        probType = probType + categoryM(house(3),k);
        if r < probType
            house(1) = k;
            house(4) = housingSize(k) + 100*rand(1);
            house(2) = (house(4))*priceVec(house(3));
            break
        end
    end 
    houseList(i,:) = house;
end
end

